Class | ActiveSupport::Cache::SynchronizedMemoryStore
In: | lib/active_support/cache/synchronized_memory_store.rb
Parent: | MemoryStore

Like MemoryStore, but thread-safe.

### Methods

clear decrement delete delete_matched exist? fetch increment new read write

### Public Class methods

new()

### Public Instance methods

clear()
decrement(key, amount = 1)
delete(name, options = nil)
delete_matched(matcher, options = nil)
exist?(name,options = nil)
fetch(key, options = {})
increment(key, amount = 1)
read(name, options = nil)
write(name, value, options = nil)

[Validate]